< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package accounts
  Definition Classes
    ct
-  package frs102
  Definition Classes
    accounts
-  package boxes
  Definition Classes
    frs102
-  package loansToDirectors
  Definition Classes
    boxes
-  package relatedPartyTransactions
  Definition Classes
    boxes
- AC106
- AC106A
- AC107
- AC114
- AC114A
- AC114B
- AC115
- AC115A
- AC115B
- AC116
- AC116A
- AC116B
- AC117
- AC117A
- AC117B
- AC118
- AC118A
- AC118B
- AC119
- AC119A
- AC119B
- AC120
- AC120A
- AC120B
- AC121
- AC121A
- AC121B
- AC122
- AC122A
- AC122B
- AC123
- AC123A
- AC123B
- AC124
- AC124A
- AC124B
- AC124C
- AC124D
- AC124E
- AC125
- AC125A
- AC125B
- AC125C
- AC125D
- AC125E
- AC126
- AC126A
- AC126B
- AC126C
- AC126D
- AC126E
- AC127
- AC127A
- AC127B
- AC127C
- AC127D
- AC127E
- AC128
- AC128A
- AC128B
- AC128C
- AC128D
- AC128E
- AC129
- AC129A
- AC129B
- AC129C
- AC129D
- AC129E
- AC13
- AC130
- AC130A
- AC130B
- AC130C
- AC130D
- AC130E
- AC131
- AC131A
- AC131B
- AC131C
- AC131D
- AC131E
- AC132
- AC132A
- AC132B
- AC132C
- AC132D
- AC132E
- AC133
- AC133A
- AC133B
- AC133C
- AC133D
- AC133E
- AC134
- AC135
- AC136
- AC137
- AC138
- AC138B
- AC139
- AC139B
- AC14
- AC140
- AC141
- AC142
- AC143
- AC144
- AC145
- AC146
- AC147
- AC148
- AC149
- AC15
- AC150
- AC150B
- AC151
- AC151B
- AC152
- AC153
- AC154
- AC155
- AC156
- AC157
- AC158
- AC159
- AC16
- AC160
- AC161
- AC162
- AC163
- AC17
- AC18
- AC187
- AC188
- AC189
- AC19
- AC190
- AC20
- AC200
- AC200A
- AC209
- AC209A
- AC209B
- AC21
- AC210
- AC210A
- AC210B
- AC211
- AC211A
- AC211B
- AC212
- AC212A
- AC212B
- AC212C
- AC212D
- AC212E
- AC213
- AC213A
- AC213B
- AC213C
- AC213D
- AC213E
- AC214
- AC214A
- AC214B
- AC214C
- AC214D
- AC214E
- AC217
- AC219
- AC22
- AC23
- AC26
- AC27
- AC28
- AC29
- AC30
- AC31
- AC32
- AC320
- AC320A
- AC321
- AC322
- AC323
- AC324
- AC33
- AC34
- AC35
- AC36
- AC37
- AC42
- AC43
- AC44
- AC45
- AC48
- AC49
- AC50
- AC5032
- AC5052A
- AC5052B
- AC5052C
- AC5058A
- AC5064A
- AC5076C
- AC51
- AC5123
- AC5133
- AC52
- AC53
- AC54
- AC55
- AC56
- AC57
- AC58
- AC59
- AC60
- AC61
- AC62
- AC63
- AC64
- AC65
- AC66
- AC67
- AC68
- AC69
- AC70
- AC71
- AC7100
- AC7110A
- AC7200
- AC7210
- AC7210A
- AC7210B
- AC7300
- AC74
- AC7400
- AC7401
- AC75
- AC7500
- AC76
- AC7600
- AC7601
- AC77
- AC7800
- AC7900
- AC7901
- AC80
- AC8084
- AC8085
- AC81
- ACQ5021
- ACQ5022
- ACQ5031
- ACQ5032
- ACQ5033
- ACQ5034
- ACQ5035

c

uk.gov.hmrc.ct.accounts.frs102.boxes

# AC7901 

###

#### case class AC7901(value: Option[String]) extends CtBoxIdentifier with CtOptionalString with Input with SelfValidatableBox[Frs102AccountsBoxRetriever, Option[String]] with Validators with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, SelfValidatableBox[Frs102AccountsBoxRetriever, Option[String]], ValidatableBox[Frs102AccountsBoxRetriever], ExtraValidation, Validators, Input, CtOptionalString, OptionalCtValue[String], CtValue[Option[String]], CtBoxIdentifier, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AC7901
2. Serializable
3. Serializable
4. Product
5. Equals
6. SelfValidatableBox
7. ValidatableBox
8. ExtraValidation
9. Validators
10. Input
11. CtOptionalString
12. OptionalCtValue
13. CtValue
14. CtBoxIdentifier
15. AnyRef
16. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new AC7901(value: Option[String])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def And(predicates: () ⇒ Boolean*)(): Boolean
   Attributes
     protected
   Definition Classes
     Validators
5.  def Or(predicates: () ⇒ Boolean*)(): Boolean
   Attributes
     protected
   Definition Classes
     Validators
6.  def asBoxString: Option[String]
   Definition Classes
     CtValue
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def atLeastOneBoxHasValue(boxId: String, boxes: OptionalCtValue[_]*)(): Set[CtValidation]
   Attributes
     protected
   Definition Classes
     ValidatableBox
9.  def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
   Attributes
     protected
   Definition Classes
     Validators
10.  def belowMinWithMax(value: Option[Int], max: Int, min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
11.  implicit def box2OptionalBigDecimalIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalBigDecimalIdBox
    Definition Classes
      SelfValidatableBox
12.  implicit def box2OptionalBooleanIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalBooleanIdBox
    Definition Classes
      SelfValidatableBox
13.  implicit def box2OptionalDateIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalDateIdBox
    Definition Classes
      SelfValidatableBox
14.  implicit def box2OptionalIntIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalIntIdBox
    Definition Classes
      SelfValidatableBox
15.  implicit def box2OptionalStringIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalStringIdBox
    Definition Classes
      SelfValidatableBox
16.  implicit def box2StringIdBox(box: CtValue[_] with CtBoxIdentifier): StringIdBox
    Definition Classes
      SelfValidatableBox
17.  val boxId: String
    Attributes
      protected
    Definition Classes
      Validators
18.  def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
19.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
20.  def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
21.  def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
22.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  def errorMessage[A](messageKey: String, errorArguments: Seq[A] = Seq.empty): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
24.  def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
25.  def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
26.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
27.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
28.  def hasValue: Boolean
    Definition Classes
      OptionalCtValue
29.  def id: String
    Definition Classes
      CtBoxIdentifier
30.  def isEmpty(value: Option[_]): Boolean
    Attributes
      protected
    Definition Classes
      Validators
31.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
32.  val name: String
    Definition Classes
      CtBoxIdentifier
33.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
34.  def noValue: Boolean
    Definition Classes
      OptionalCtValue
35.  def nonEmpty(value: Option[_]): Boolean
    Attributes
      protected
    Definition Classes
      Validators
36.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
37.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
38.  def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
39.  val postCodeRegex: String
    Attributes
      protected
    Definition Classes
      ExtraValidation
40.  def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
41.  def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
42.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
43.  def validate(boxRetriever: Frs102AccountsBoxRetriever): Set[CtValidation]
    Definition Classes
      AC7901 → ValidatableBox
44.  def validateAllFilledOrEmptyStrings(allBoxes: Set[CtValue[String]])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
45.  def validateAllFilledOrEmptyStrings(boxId: String, allBoxes: Set[CtValue[String]])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
46.  def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
47.  def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever, boxId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
48.  def validateAsMandatory()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
49.  def validateAsMandatory[U](box: CtValue[U] with CtBoxIdentifier)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
50.  def validateAsMandatory[A](boxId: String, value: Option[A])(): Set[CtValidation]
    Definition Classes
      ExtraValidation
51.  def validateBooleanAsMandatory()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
52.  def validateBooleanAsMandatory(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
53.  def validateBooleanAsTrue()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
54.  def validateBooleanAsTrue(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
55.  def validateCoHoStringReturnIllegalChars(value: String, errorCodeBoxId: Option[String])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
56.  def validateCoHoStringReturnIllegalChars()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
57.  def validateCoHoStringReturnIllegalChars(boxId: String, value: String, errorCodeBoxId: Option[String] = None)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
58.  def validateCoHoStringReturnIllegalChars(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
59.  def validateCohoNameField()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
60.  def validateCohoNameField(boxId: String, box: StringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
61.  def validateCohoOptionalNameField()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
62.  def validateCohoOptionalNameField(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
63.  def validateDateAsAfter(dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
64.  def validateDateAsAfter(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
65.  def validateDateAsBefore(dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
66.  def validateDateAsBefore(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
67.  def validateDateAsBetweenInclusive(date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
68.  def validateDateAsBetweenInclusive(minDate: LocalDate, maxDate: LocalDate)()(implicit ev: <:<[Option[String], Option[LocalDate]]): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
69.  def validateDateAsBetweenInclusive(boxId: String, date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
70.  def validateDateAsBetweenInclusive(boxId: String, box: OptionalDateIdBox, minDate: LocalDate, maxDate: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
71.  def validateDateAsBlank()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
72.  def validateDateAsBlank(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
73.  def validateDateAsMandatory(date: Option[LocalDate], messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
74.  def validateDateAsMandatory()()(implicit ev: <:<[Option[String], Option[LocalDate]]): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
75.  def validateDateAsMandatory(boxId: String, date: Option[LocalDate], messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
76.  def validateDateAsMandatory(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
77.  def validateDateIsInclusive(boxId: String, minDate: LocalDate, dateToCompare: Option[LocalDate], maxDate: LocalDate): Set[CtValidation]
    Definition Classes
      ExtraValidation
78.  def validateIntegerAsBlank()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
79.  def validateIntegerAsBlank(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
80.  def validateIntegerAsMandatory()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
81.  def validateIntegerAsMandatory(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
82.  def validateIntegerRange(min: Int = 0, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
83.  def validateIntegerRange(boxId: String, box: OptionalIntIdBox, min: Int, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
84.  def validateMoney(value: Option[Int], min: Int = -99999999, max: Int = 99999999)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
85.  def validateNotEmptyStringByLength(value: String, min: Int, max: Int)(): Set[CtValidation]
    Definition Classes
      SelfValidatableBox
86.  def validateNotEmptyStringByLength(boxId: String, value: String, min: Int, max: Int)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
87.  def validateNotEmptyStringByLengthMin(boxId: String, value: String, min: Int)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
88.  def validateOptionalIntegerAsEqualTo(equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
89.  def validateOptionalIntegerAsEqualTo(box: CtBoxIdentifier with CtOptionalInteger, equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
90.  def validateOptionalIntegerLessOrEqualBox(other: CtBoxIdentifier with CtOptionalInteger)()(implicit ev: <:<[Option[String], Option[Int]]): Set[CtValidation]
    Definition Classes
      SelfValidatableBox
91.  def validateOptionalStringByLength(min: Int, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
92.  def validateOptionalStringByLength(boxId: String, box: OptionalStringIdBox, min: Int, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
93.  def validateOptionalStringByLength(value: Option[String], min: Int, max: Int, boxId: String, boxIdPrefix: Option[String])(): Set[CtValidation]
    Definition Classes
      ExtraValidation
94.  def validateOptionalStringByLengthMax(boxId: String, box: OptionalStringIdBox, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
95.  def validateOptionalStringByLengthMin(boxId: String, box: OptionalStringIdBox, min: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
96.  def validateOptionalStringByRegex(regex: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
97.  def validateOptionalStringByRegex(boxId: String, box: OptionalStringIdBox, regex: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
98.  def validatePositiveBigDecimal()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
99.  def validatePositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
100.  def validatePositiveInteger()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
101.  def validatePositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
102.  def validatePostcode(boxId: String)()(implicit ev: <:<[Option[String], Option[String]]): Set[CtValidation]
     Definition Classes
       SelfValidatableBox
103.  def validatePostcode(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
104.  def validatePostcode(boxId: String, postcode: Option[String]): Set[CtValidation]
     Definition Classes
       ExtraValidation
105.  def validatePostcodeLength(boxId: String, postcode: String): Set[CtValidation]
     Definition Classes
       ExtraValidation
106.  def validatePostcodeRegex(boxId: String, postcode: String): Set[CtValidation]
     Definition Classes
       ExtraValidation
107.  def validateRawStringByRegex(value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
108.  def validateRawStringByRegex(boxId: String, value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
109.  def validateStringAsBlank()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
110.  def validateStringAsBlank(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
111.  def validateStringAsMandatory()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
112.  def validateStringAsMandatory(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
113.  def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
114.  def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever, boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
115.  def validateStringAsMandatoryWithNoTrailingWhitespace()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
116.  def validateStringAsMandatoryWithNoTrailingWhitespace(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
117.  def validateStringByLength(value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]
     Definition Classes
       SelfValidatableBox
118.  def validateStringByLength(min: Int, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
119.  def validateStringByLength(boxId: String, value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
120.  def validateStringByLength(boxId: String, box: StringIdBox, min: Int, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
121.  def validateStringByRegex(regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
122.  def validateStringByRegex(boxId: String, box: StringIdBox, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
123.  def validateStringByRegex(boxId: String, str: String, regex: String): Set[CtValidation]
     Definition Classes
       ExtraValidation
124.  def validateStringMaxLength(value: String, max: Int)(): Set[CtValidation]
     Definition Classes
       SelfValidatableBox
125.  def validateStringMaxLength(boxId: String, value: String, max: Int)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
126.  def validateZeroOrNegativeInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
127.  def validateZeroOrPositiveBigDecimal()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
128.  def validateZeroOrPositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
129.  def validateZeroOrPositiveInteger()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
130.  def validateZeroOrPositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
131.  val validationSuccess: Set[CtValidation]
     Definition Classes
       ValidatableBox
132.  val value: Option[String]
     Definition Classes
       AC7901 → CtValue
133.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
134.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
135.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from SelfValidatableBox[Frs102AccountsBoxRetriever, Option[String]]

### Inherited from ValidatableBox[Frs102AccountsBoxRetriever]

### Inherited from ExtraValidation

### Inherited from Validators

### Inherited from Input

### Inherited from CtOptionalString

### Inherited from OptionalCtValue[String]

### Inherited from CtValue[Option[String]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped